/*
 * EffRigCollection.cpp
 *
 *  Created on: 10/ago/2009
 *      Author: Nicola Mori
 */

/*! @file EffRigCollection.cpp The EffRigCollection class implementation file. */

#include "EffRigCollection.h"

EffRigCollection::EffRigCollection(const char *collectionName, TString outFileBase, TString rigBinsFile, int errMethod,
    bool owns) :
    BinnedEffCollection(collectionName, outFileBase, rigBinsFile, errMethod, owns) {
}

float EffRigCollection::GetBinValue(PamLevel2 *event) {

  return 1. / event->GetTrack(0)->GetTrkTrack()->GetDeflection();
}
